# FoundationClasses
TKernel
TColStd

# TColStd_HSetOfReal Class Reference

`#include <TColStd_HSetOfReal.hxx>`

Inheritance diagram for TColStd_HSetOfReal:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HSetOfReal ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_Boolean | Add (const Standard_Real &T)
Standard_Boolean | Remove (const Standard_Real &T)
Standard_EXPORT Handle_TColStd_HSetOfReal | Union (const Handle(TColStd_HSetOfReal)&B) const
Standard_EXPORT Handle_TColStd_HSetOfReal | Intersection (const Handle(TColStd_HSetOfReal)&B) const
Standard_EXPORT Handle_TColStd_HSetOfReal | Difference (const Handle(TColStd_HSetOfReal)&B) const
Standard_Boolean | Contains (const Standard_Real &T) const
Standard_Boolean | IsASubset (const Handle(TColStd_HSetOfReal)&S) const
Standard_Boolean | IsAProperSubset (const Handle(TColStd_HSetOfReal)&S) const
Standard_EXPORT Handle_TColStd_HSetOfReal | ShallowCopy () const
const TColStd_SetOfReal & | Set () const
TColStd_SetOfReal & | ChangeSet ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SetOfReal | mySet

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HSetOfReal::TColStd_HSetOfReal | ( |  | ) |

## Member Function Documentation

Standard_Boolean TColStd_HSetOfReal::Add | ( | const Standard_Real & | T | ) |

TColStd_SetOfReal& TColStd_HSetOfReal::ChangeSet | ( |  | ) |

void TColStd_HSetOfReal::Clear | ( |  | ) |

Standard_Boolean TColStd_HSetOfReal::Contains | ( | const Standard_Real & | T | ) | const

Standard_EXPORT Handle_TColStd_HSetOfReal TColStd_HSetOfReal::Difference | ( | const Handle(TColStd_HSetOfReal)& | B | ) | const

Standard_Integer TColStd_HSetOfReal::Extent | ( |  | ) | const

Standard_EXPORT const TColStd_HSetOfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_TColStd_HSetOfReal TColStd_HSetOfReal::Intersection | ( | const Handle(TColStd_HSetOfReal)& | B | ) | const

Standard_Boolean TColStd_HSetOfReal::IsAProperSubset | ( | const Handle(TColStd_HSetOfReal)& | S | ) | const

Standard_Boolean TColStd_HSetOfReal::IsASubset | ( | const Handle(TColStd_HSetOfReal)& | S | ) | const

Standard_Boolean TColStd_HSetOfReal::IsEmpty | ( |  | ) | const

Standard_Boolean TColStd_HSetOfReal::Remove | ( | const Standard_Real & | T | ) |

const TColStd_SetOfReal& TColStd_HSetOfReal::Set | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSetOfReal TColStd_HSetOfReal::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSetOfReal TColStd_HSetOfReal::Union | ( | const Handle(TColStd_HSetOfReal)& | B | ) | const

## Field Documentation

TColStd_SetOfReal TColStd_HSetOfReal::mySet `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSetOfReal.hxx